#ifndef MAINTENANCE_H
#define MAINTENANCE_H
#include "Services_Mileage.h"
#include "Common_Interface.h"
#include "TYW_stdint.h"
#include "RTE_TIME.h"
#include "Emulated_EEPROM.h"
#include "Services_Mileage.h"
#include "Services_ODO_User.h"

#define  Maintenance_Set_Days  90u
extern uint32_t NVM_USER_SETTINGS_SERVICE;
typedef struct
{
    uint32_t   u32second;
    uint32_t   u32Lastsecond;
} MaintenanceStruct;
extern uint32_t MainTimer ;               /*****100ms累加器****/

void Data_Maintenance_Service_KL30_Init(void);

void Maintenance_WakeUp_Init(void);
void Maintenance_KL15_OFF_Init(void);

/******获取剩余保养里程*******/
uint32_t Get_Data_Maintenace_Interval_Processing(void);
/*****获取剩余保养时间**天****/
uint16_t Get_Calc_Service_Time_Procesing(void);
/********重置保养时间*********/
void Data_Service_Time_Reset(void);
/********重置保养里程*********/
void Data_Maintenance_Interval_Reset(uint32_t Maintenance_def);
#endif
